Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging.jms.management.server
Class DestinationOperations

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationOperations

    public class DestinationOperations

extends Object

Class containing information on destination operations.

Field Summary
`static String` `COMPACT` Compact a destination.
`static String` `CREATE` Create a destination.
`static String` `DESTROY` Destroy a destination
`static String` `GET_ACTIVE_CONSUMER_IDS` Get active consumers IDs
`static String` `GET_BACKUP_CONSUMER_IDS` Get backup consumers IDs
`static String` `GET_CONNECTION` Get connection - relevant for temporary destinations only.
`static String` `GET_CONSUMER_IDS` Get consumer IDs
`static String` `GET_CONSUMER_WILDCARDS` Get consumer wildcards used on this destination
`static String` `GET_DESTINATIONS` Get list of destination MBean object names.
`static String` `GET_NUM_WILDCARD_CONSUMERS` Get number of consumers on this destination that use a specific wildcard
`static String` `GET_NUM_WILDCARD_PRODUCERS` Get number of producers on this destination that use a specific wildcard
`static String` `GET_PRODUCER_IDS` Get producer IDs
`static String` `GET_PRODUCER_WILDCARDS` Get producer wildcards used on this destination
`static String` `GET_WILDCARDS` Get wildcards used on this destination i.e.
`static String` `PAUSE` Pause a destination.
`static String` `PURGE` Purge a destination.
`static String` `RESUME` Resume a destination.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE

    public static final String CREATE

  Create a destination.

  See Also:
    Constant Field Values

### COMPACT

    public static final String COMPACT

  Compact a destination.

  See Also:
    Constant Field Values

### DESTROY

    public static final String DESTROY

  Destroy a destination

  See Also:
    Constant Field Values

### GET_ACTIVE_CONSUMER_IDS

    public static final String GET_ACTIVE_CONSUMER_IDS

  Get active consumers IDs

  See Also:
    Constant Field Values

### GET_BACKUP_CONSUMER_IDS

    public static final String GET_BACKUP_CONSUMER_IDS

  Get backup consumers IDs

  See Also:
    Constant Field Values

### GET_CONSUMER_IDS

    public static final String GET_CONSUMER_IDS

  Get consumer IDs

  See Also:
    Constant Field Values

### GET_CONNECTION

    public static final String GET_CONNECTION

  Get connection - relevant for temporary destinations only.

  See Also:
    Constant Field Values

### GET_DESTINATIONS

    public static final String GET_DESTINATIONS

  Get list of destination MBean object names.

  See Also:
    Constant Field Values

### GET_PRODUCER_IDS

    public static final String GET_PRODUCER_IDS

  Get producer IDs

  See Also:
    Constant Field Values

### GET_WILDCARDS

    public static final String GET_WILDCARDS

  Get wildcards used on this destination i.e. Wildcards used by consumers/producers that match this destination

  See Also:
    Constant Field Values

### GET_CONSUMER_WILDCARDS

    public static final String GET_CONSUMER_WILDCARDS

  Get consumer wildcards used on this destination

  See Also:
    Constant Field Values

### GET_NUM_WILDCARD_CONSUMERS

    public static final String GET_NUM_WILDCARD_CONSUMERS

  Get number of consumers on this destination that use a specific wildcard

  See Also:
    Constant Field Values

### GET_PRODUCER_WILDCARDS

    public static final String GET_PRODUCER_WILDCARDS

  Get producer wildcards used on this destination

  See Also:
    Constant Field Values

### GET_NUM_WILDCARD_PRODUCERS

    public static final String GET_NUM_WILDCARD_PRODUCERS

  Get number of producers on this destination that use a specific wildcard

  See Also:
    Constant Field Values

### PAUSE

    public static final String PAUSE

  Pause a destination.

  See Also:
    Constant Field Values

### PURGE

    public static final String PURGE

  Purge a destination.

  See Also:
    Constant Field Values

### RESUME

    public static final String RESUME

  Resume a destination.

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.